import { http } from '@/utils/http'
import type { RepairReqVO, RepairResVO, RepairFbVO, RepairRecordVO } from './repair.d'
type ID = number | string

/**
 * 新增报修单
 * @param data
 */
export const addRepairReq = (data: any) => {
  return http.post<void>('/eims/repairReq', data)
}
/**
 * 删除报修单
 * @param id
 */
export const delRepairReq = (id: ID) => {
  return http.del<void>(`/eims/repairReq/${id}`)
}
/**
 * 报修单列表
 */
export const getRepairReqList = (params: any) => {
  return http.get<RepairReqVO[]>('/eims/repairReq/list', params)
}

/**
 * 维修单列表
 */
export const getRepairResList = (params: any) => {
  return http.get<RepairResVO[]>('/eims/repairRes/list', params)
}
/**
 * 查询维修单
 * @param data
 */
export const getRepairRes = (id: ID) => {
  return http.get<RepairResVO>(`/eims/repairRes/${id}`)
}

/**
 * 新增维修单
 * @param data
 */
export const addRepairRes = (data: any) => {
  return http.post<void>('/eims/repairRes/add', data)
}


/**
 * 更新维修工单
 * @param data
 */
export const updateRepairRes = (data: any) => {
  return http.put<void>('/eims/repairRes', data)
}



/**
 * 查询维修评价
 * @param id
 */
export const getRepairFb = (id: ID) => {
  return http.get<RepairFbVO>(`/eims/repairFb/${id}`)
}

/**
 * 新增维修评价
 * @param data
 */
export const addRepairFb = (data: any) => {
  return http.post<void>('/eims/repairFb', data)
}

/**
 * 编辑维修评价
 * @param data
 */
export const updateRepairFb = (data: any) => {
  return http.put<void>('/eims/repairFb', data)
}

/**
 * 维修记录列表
 */
export const getRepairRecordList = (params: any) => {
  return http.get<RepairRecordVO[]>('/eims/repairRecord/list', params)
}
